## db4.2 4.2.52+dfsg-5maemo1

=== debian/changelog ===
db4.2 (4.2.52+dfsg-5maemo1) unstable; urgency=medium

  * removed java and tcl packages and tcl build-dependency

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 22 Dec 2008 13:38:10 +0200

db4.2 (4.2.52+dfsg-5) unstable; urgency=medium

  * Fix arm encryption problem, thanks to Ben Hutchings.
    closes: #498450.
  * Bump Standards-Version to 3.8.0.
  * Switch to build with tcl8.5.
  * Add to libdb4.2-tcl conflicts on newer db tcl packages.
  * Change Source-Version to binary:Version.
  * Remove myself from Uploaders.

 -- Clint Adams <schizo@debian.org>  Sat, 13 Sep 2008 05:38:10 -0400

db4.2 (4.2.52+dfsg-4) unstable; urgency=high

  * Revert "Revert mutexes to upstream defaults.".
    Closes: #440714, #441763, #441870.
 
    If you have already converted your databases to the changed
    environment format of 4.2.52+dfsg-3, run "db4.2_recover -h
    /path/to/environment" for each affected database environment.  Updates
    from 4.2.52+dfsg-2.1 and earlier do not need this step.

 -- Florian Weimer <fw@deneb.enyo.de>  Fri, 14 Sep 2007 21:09:02 +0200

db4.2 (4.2.52+dfsg-3) unstable; urgency=low

  * Revert mutexes to upstream defaults.
  * Drop java packages.

 -- Clint Adams <schizo@debian.org>  Thu, 30 Aug 2007 21:07:02 -0400

db4.2 (4.2.52+dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload (porter NMU).
  * Disable java support for armel, armeb. Patch from Riku Voipio.
    Closes: #426573

 -- Joey Hess <joeyh@debian.org>  Mon, 30 Jul 2007 13:42:11 -0400

db4.2 (4.2.52+dfsg-2) unstable; urgency=high

  * Remove previous Java fixes for db_java_wrap.c.
  * Apply patch 4.2.52.3: Java applications that repeatedly open and close
    database environments can leak memory. (This patch is only applicable
    to Berkeley DB library builds which include Java API support, that is,
    libraries configured with the --enable-java option.)
  * Apply patch 4.2.52.4: Fix a bug where recovery of a page split after a
    non-transactional update to the next page would fail to update the back
    pointer. This bug could result in log sequence errors and missing data
    when when the database is walked with a cursor, after data was initially
    loaded into a database non-transactionally (for example, by using the
    db_load utility).
  * Apply patch 4.2.52.5: Fix a bug where cache buffer retrieval could race
    with a checkpoint call, potentially causing database environment recovery
    to fail. [#14657].  closes: #415840.
  * Update config.guess and config.sub to 2006-07-02, thereby including
    support for m32r.  closes: #375595, #409874.
  * Add empty binary-indep target.  closes: #395679.

 -- Clint Adams <schizo@debian.org>  Thu, 22 Mar 2007 15:22:35 -0400

db4.2 (4.2.52+dfsg-1) unstable; urgency=medium

  * Apply patch to fix region size calculations.
  * Acknowledge NMU.  closes: #256332, #357528.
  * Bump to Standards-Version 3.7.2.

 -- Clint Adams <schizo@debian.org>  Sun, 23 Jul 2006 22:51:46 -0400

db4.2 (4.2.52+dfsg-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove non-DFSG-free documentation from upstream package; do not
    ship the db4.2-doc package anymore. (Closes: #256332, #357528)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 18 Jul 2006 17:23:57 +0200

db4.2 (4.2.52-24) unstable; urgency=low

  * Include full set of Java build fixes from Matthias Klose:
     - gcc always generates correct code (tm), just don't ignore the hundreds
       of warnings compiling db_java_wrap.c but use -fno-strict-aliasing.
       Stops miscompilation of the java wrapper. The weekend can begin :-/
     - tcl_db_pkg.c: Likewise. (closes: #353579)
     - Add -I/usr/lib/jvm/java-gcj/include, when building db_java_wrap.c.
       Allows gcc and gcj to point to different versions.
     - Build-depend on java-gcj-compat-dev instead of libgcj-dev and gij.
   * To cope with the change to java-gcj-compat-dev, adjust debian/rules
     to call JAVA, JAVAC, and JAR from /usr/lib/jvm/java-gcj/bin.
   * Stop setting a default CLASSPATH, as this doesn't appear to be
     required anymore in the Java New World Order, and it'll make default
     compiler upgrades a matter of nothing more than a simple rebuild.
   * Disable Java packages on kfreebsd-amd64 as well (closes: #357246)

 -- Adam Conrad <adconrad@0c3.net>  Thu, 16 Mar 2006 23:59:04 +1100

db4.2 (4.2.52-23) unstable; urgency=low

  * Based on evidence from the buildds that Java is still broken on some
    architectures, disable it AGAIN on mips, mipsel, and now also arm.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 16 Dec 2005 16:12:01 +1100

db4.2 (4.2.52-22) unstable; urgency=low

  * Various and sundry java support architecture cleanups:
    - Re-enable java build-deps for hppa, mips and mipsel.
    - Temporarily disable java on m68k until #340874 is fixed.
    - Disable java build-deps on kfreebsd-i386, as in db4.3 and db4.4.
  * Join the BDB team, and add myself to Uploaders.

 -- Adam Conrad <adconrad@0c3.net>  Thu, 15 Dec 2005 13:47:14 +1100

db4.2 (4.2.52-21) unstable; urgency=low

  * Re-enable Java for hppa, mips, mipsel.  closes: #341421.
  * Apply ooo-build jni casting patch.  closes: #341422.

 -- Clint Adams <schizo@debian.org>  Fri,  9 Dec 2005 15:54:48 -0500

db4.2 (4.2.52-20) unstable; urgency=low

  * Rename libdb4.2++ to libdb4.2++c2 as part of C++ ABI transition. 
  * Bump to Standards-Version 3.6.2.
  * Use gij instead of sablevm.

 -- Clint Adams <schizo@debian.org>  Mon,  3 Oct 2005 18:45:12 -0400

db4.2 (4.2.52-19) unstable; urgency=low

  * Drop gcj build-dep and change libgcj4-dev build-dep to
    libgcj-dev.  closes: #302336.
  * Apply patch from NIIBE Yutaka for cross build.
    closes: #284843.
  * Split libdb4.2-java-dev from libdb4.2-java.  closes: #312501.

 -- Clint Adams <schizo@debian.org>  Fri, 10 Jun 2005 18:36:23 -0400

db4.2 (4.2.52-18) unstable; urgency=low

  * make the configure-patches persistent. Closes: #267246
    - newer libtool.ac taken from /usr/share/aclocal/libtool.m4

