=== debian/control ===
Source: db4.2
Section: libs
Priority: standard
Maintainer: Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Matthew Wilcox <willy@debian.org>, Andreas Barth <aba@not.so.argh.org>, Adam Conrad <adconrad@0c3.net>, Florian Weimer <fw@deneb.enyo.de>
Standards-Version: 3.8.0
Build-Depends: procps [!hurd-i386]

Package: libdb4.2-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb4.2 (= ${binary:Version})
Suggests: db4.2-doc
Provides: libdb-dev
Conflicts: libdb-dev, libdb1-dev, libdb2-dev, libdb3-dev
Description: Berkeley v4.2 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v4.2 database library.

Package: libdb4.2
Architecture: any
Conflicts: libdb2 (<< 2:2.7.7-3)
Section: libs
Priority: standard
Depends: ${shlibs:Depends}
Description: Berkeley v4.2 Database Libraries [runtime]
 This is the runtime package for programs that use the v4.2 Berkeley
 database library.

Package: db4.2-util
Architecture: any
Section: utils
Priority: optional
Depends: ${shlibs:Depends}
Description: Berkeley v4.2 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v4.2 database format, and includes:
  - db4.2_archive: write the pathnames of the log files no longer in use.
  - db4.2_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db4.2_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db4.2_load: loads (and creates) a database from standard input.
  - db4.2_dump: read a database file and write it in a format understood by
  - db4.2_printlog: dump log files in human readable format.
  - db4.2_stat: display statistics for Berkeley DB environments.
  - db4.2_upgrade: upgrades the version of files and the databases they
    contain.
  - db4.2_verify: check the structure of files and their databases.

Package: libdb4.2++c2
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libdb4.2++, libdb2++ (<< 2:2.7.7-3)
Section: libs
Priority: optional
Description: Berkeley v4.2 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v4.2
 database library.  This is only for programs which use the C++ interface.

Package: libdb4.2++-dev
Architecture: any
Provides: libdb++-dev
Conflicts: libdb2++-dev, libdb++-dev, libdb3++-dev
Section: libdevel
Priority: extra
Depends: libdb4.2++c2 (= ${binary:Version}), libdb4.2-dev (= ${binary:Version})
Description: Berkeley v4.2 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v4.2 database library.  This is only for
 programs which will use the C++ interface.
