## db4.2 4.2.52+dfsg-5maemo1+0cssu0+thumb0

=== debian/changelog ===
db4.2 (4.2.52+dfsg-5maemo1+0cssu0+thumb0) unstable; urgency=medium

  * removed swpb usage in mutex code for thumb
  * Thumb2 compiled

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 29 Oct 2012 16:06:32 +0200
