=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Conflicts: libdb2 (<< 2:2.7.7-3)
 Section: libs
 Priority: standard
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: Berkeley v4.2 Database Libraries [runtime]
  This is the runtime package for programs that use the v4.2 Berkeley
  database library.
@@ -32,7 +32,7 @@
 Architecture: any
 Section: utils
 Priority: optional
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: Berkeley v4.2 Database Utilities
  This package provides different tools for manipulating databases
  in the Berkeley v4.2 database format, and includes:
@@ -51,7 +51,7 @@
 
 Package: libdb4.2++c2
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Conflicts: libdb4.2++, libdb2++ (<< 2:2.7.7-3)
 Section: libs
 Priority: optional
