=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

DEB_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb -mcpu=cortex-a8 -march=armv7-a -fgnu89-inline -mword-relocations
endif

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CONFARGS = --host=$(DEB_HOST_GNU_TYPE)
endif

package=db4.2

CONFIGURE_VARS =  CFLAGS="$(CFLAGS)"
CONFIGURE_SWITCHES =    --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var \
			--sysconfdir=/etc \
			--libexecdir=/usr/lib \
			--enable-cxx \
			--enable-compat185 \
			--enable-rpc \
			--with-uniquename

configure: configure-stamp
configure-stamp:
	dh_testdir
	mkdir -p obj
	chmod 755 dist/configure
	cd obj && $(CONFIGURE_VARS) \
		../dist/configure $(CONFIGURE_SWITCHES)
	touch configure-stamp

build-stamp: build

build: configure-stamp
	dh_testdir
	cd obj && $(MAKE)
	touch build-stamp

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cd obj && $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	cd $(CURDIR)/debian/tmp/usr/bin && for i in * ; \
	 do mv $$i `echo $$i | sed 's/db/$(package)/'` ; \
	done

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_install --sourcedir=debian/tmp -a
	dh_installdocs -a
	dh_link -a
	dh_strip 
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:

binary: binary-arch binary-indep

clean:
	dh_testdir

	rm -rf obj
	rm -f build-stamp configure-stamp
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS` debian/files* core
	-rm -f debian/substvars.*
	
	dh_clean

.PHONY: build install binary-arch binary-indep binary clean
